Developer API

Trigger outbound sequence runs, monitor pipeline status, and fetch data programmatically.

Authentication

The Find API uses Bearer tokens to authenticate requests. You can generate custom API tokens inside your workspace settings.

HEADER KEYAuthorization: Bearer <YOUR_API_TOKEN>

Trigger Sequence Run

Instantly execute any active pipeline sequence. You can override input configuration variables on the fly.

POST/v1/sequences/:id/run

Query Parameters

FieldTypeDescription
inputsobjectOverrides the default scraper query or limit variables.
REQUEST EXAMPLE
curl -X POST "https://api.find.domain/v1/sequences/seq_7f902/run" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "inputs": {
      "query": "VP Sales London",
      "limit": 100
    }
  }'
RESPONSE EXAMPLE (200 OK)
{
  "success": true,
  "runId": "run_a42d9f1",
  "status": "queued",
  "startedAt": "2026-07-13T05:18:37Z",
  "estimatedCost": "$0.02"
}